## org.biojava.bio.seq.io.game12
Class GAMEHandler

    java.lang.Object
      org.biojava.utils.stax.StAXContentHandlerBase
          org.biojava.bio.seq.io.game12.StAXFeatureHandler
              org.biojava.bio.seq.io.game12.GAMEHandler

All Implemented Interfaces:
  StAXContentHandler

    public class GAMEHandler

extends StAXFeatureHandler

Handles the root GAME element

Since:
  1.2
Author:
  David Huen

Field Summary

Fields inherited from class org.biojava.bio.seq.io.game12.StAXFeatureHandler
`staxenv`

Constructor Summary
`GAMEHandler(SeqIOListener listener)` Constructor for the GAMEHandler object

Method Summary
`void` `endElementHandler(String nsURI, String localName, String qName, StAXContentHandler contentHandler)` Element specific exit handler Subclass to do anything useful.
`void` `startElementHandler(String nsURI, String localName, String qName, Attributes attrs)` Description of the Method

Methods inherited from class org.biojava.bio.seq.io.game12.StAXFeatureHandler
`addHandler, endElement, returnData, startElement`

Methods inherited from class org.biojava.utils.stax.StAXContentHandlerBase
`characters, endPrefixMapping, endTree, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startPrefixMapping, startTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GAMEHandler

    public GAMEHandler(SeqIOListener listener)

  Constructor for the GAMEHandler object

Method Detail

### startElementHandler

    public void startElementHandler(String nsURI,
                                    String localName,
                                    String qName,
                                    Attributes attrs)
                             throws SAXException

  Description of the Method

  Overrides:
    `startElementHandler` in class `StAXFeatureHandler`
  Parameters:
    `nsURI` - Description of the Parameter
    `localName` - Description of the Parameter
    `qName` - Description of the Parameter
    `attrs` - Description of the Parameter
  Throws:
    `SAXException` - Description of the Exception

### endElementHandler

    public void endElementHandler(String nsURI,
                                  String localName,
                                  String qName,
                                  StAXContentHandler contentHandler)
                           throws SAXException

  Description copied from class: `StAXFeatureHandler`
  Element specific exit handler Subclass to do anything useful.

  Overrides:
    `endElementHandler` in class `StAXFeatureHandler`
  Parameters:
    `nsURI` - Description of the Parameter
    `localName` - Description of the Parameter
    `qName` - Description of the Parameter
    `contentHandler` - Description of the Parameter
  Throws:
    `SAXException` - Description of the Exception